### Method

# Gio FileAttributeMatcher ref

#### Declaration [src]

    GFileAttributeMatcher*
    g_file_attribute_matcher_ref (
      GFileAttributeMatcher* matcher
    )

#### Description [src]

References a file attribute matcher.

#### Return value

Type: `GFileAttributeMatcher`

A `GFileAttributeMatcher`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.